HomeGuidesAPI ReferenceChangelog
Terms of Use
Changelog

3.164.0 release notes

  1. New features
    1. Added POST /public-api/actions/charge-point/v1.0/{chargePoint}/clear-cache endpoint to clear the cache on a charge point. Requires a reason field in the request body.
    2. Added POST /public-api/actions/charge-point/v1.0/{chargePoint}/get-composite-schedule endpoint to retrieve the composite charging schedule from a charge point. Accepts a required duration (integer) and an optional evseNetworkId (integer) in the request body.
    3. Added POST /public-api/actions/charge-point/v1.0/{chargePoint}/get-local-list-version endpoint to query the local authorization list version from a charge point.
    4. Added POST /public-api/actions/users/v1.0/{user}/subscription-billing-period/{billingPeriod}/retry-payment endpoint to retry a failed subscription billing period payment. Accepts an optional paymentMethodId in the request body.
    5. Added BATHROOM and STAFFED as new allowed values for the facilities field on Location endpoints (POST /public-api/resources/locations/v2.0, PATCH /public-api/resources/locations/v2.0/{location}, GET /public-api/resources/locations/v2.0, GET /public-api/resources/locations/v2.0/{location}). These values are accepted in requests and returned in responses.
    6. Added twint as a new possible value for the cardDetails.tokenizationMethod response field on Transaction endpoints (GET /public-api/resources/transactions/v1.0, POST /public-api/resources/transactions/v1.0, GET /public-api/resources/transactions/v1.0/{transaction}, PATCH /public-api/resources/transactions/v1.0/{transaction}).